<?php


// Changing excerpt length
function medical_portfolio_excerpt_length($length) {
return 25;
}
add_filter('excerpt_length', 'medical_portfolio_excerpt_length');
 
// Changing excerpt more
function medical_portfolio_excerpt_more($more) {
return '...';
}
add_filter('excerpt_more', 'medical_portfolio_excerpt_more');
/* ----------------------------------------------------------------------------------- */
/* Social Icons
/*----------------------------------------------------------------------------------- */
if ( ! function_exists( 'medical_portfolio_socialprofiles' ) ) :
	function medical_portfolio_socialprofiles(){		
			/*
			** Template to Render Social Icons on Top Bar
			*/
				echo '<div class="socials">';
				for ($i = 1; $i < 8; $i++) : 
				$social = esc_attr(get_theme_mod('medical_portfolio_social_'.$i));
				if ( ($social != 'none') && ($social != '') ) : ?>
				<a class="hvr-ripple-out" href="<?php echo esc_url( get_theme_mod('medical_portfolio_social_url'.$i) ); ?>"><i class="fa fa-<?php echo esc_attr($social); ?>"></i></a>
				<?php endif; endfor;
				echo '</div>';
	}
endif;

add_action('medical_portfolio_after_logo','medical_portfolio_socialprofiles');
/* ----------------------------------------------------------------------------------- */
/* Header Info Area
/*----------------------------------------------------------------------------------- */
if ( ! function_exists( 'medical_portfolio_headerinfo' ) ) :
	function medical_portfolio_headerinfo(){	 
?>
	<div class="ecommerce-header-top">
	<div class="row">
	<div class="sitewidth">
	<div class="ecommerce-header-top-message">
		<?php echo wp_kses_post(get_theme_mod('header_infoleft')); ?>
		</div>
	<div class="ecommerce-header-top-links"> 
<?php echo wp_kses_post(get_theme_mod('header_inforight')); ?>
	
	
</div>
</div>
</div>
</div>
<?php
	}
endif;
add_action('medical_portfolio_before_header','medical_portfolio_headerinfo');
/* ----------------------------------------------------------------------------------- */
/* Category Top
/*----------------------------------------------------------------------------------- */
function medical_portfolio_featuredtopcate(){
	echo '<div class="mylanguage"> ';
	//get all categories of current post

global $post;
$topchildof = absint(get_theme_mod('topcateid'));
$taxonomy = 'category';
// Get the term IDs assigned to post.
$post_terms = wp_get_object_terms( $post->ID, $taxonomy, array( 'fields' => 'ids' ) );
// Separator between links.
$separator = ', ';
	if ( ! empty( $post_terms ) && ! is_wp_error( $post_terms ) ) {
		 $term_ids = implode( ',' , $post_terms );
		 $terms = wp_list_categories( array(
			'title_li' => '',
			'style'    => 'none',
			'show_option_none'    => '',		
			'child_of' => $topchildof,
			'echo'     => false,
			'taxonomy' => $taxonomy,
			'include'  => $term_ids
		) );
		$terms = rtrim( trim( str_replace( '<br />',  $separator, $terms ) ), $separator );
		// Display post categories.
		echo  wp_kses_post($terms);
	}
	echo '</div>';
}

function medical_portfolio_featuredright(){
	$topchildof = absint(get_theme_mod('rightcateid'));
global $post;
$taxonomy = 'category';
// Get the term IDs assigned to post.
$post_terms = wp_get_object_terms( $post->ID, $taxonomy, array( 'fields' => 'ids' ) );
// Separator between links.
$separator = ', ';
	if ( ! empty( $post_terms ) && ! is_wp_error( $post_terms ) ) {
		 $term_ids = implode( ',' , $post_terms );
		 $terms = wp_list_categories( array(
			'title_li' => '',
			'style'    => 'none',
			'show_option_none'    => '',		
			'child_of' => $topchildof,
			'echo'     => false,
			'taxonomy' => $taxonomy,
			'include'  => $term_ids
		) );
		$terms = rtrim( trim( str_replace( '<br />',  $separator, $terms ) ), $separator );
		// Display post categories.
		echo  wp_kses_post($terms);
	}
}

function medical_portfolio_featuredleft(){
	$topchildof = absint(get_theme_mod('leftcateid'));
global $post;
$taxonomy = 'category';
// Get the term IDs assigned to post.
$post_terms = wp_get_object_terms( $post->ID, $taxonomy, array( 'fields' => 'ids' ) );
// Separator between links.
$separator = ', ';
	if ( ! empty( $post_terms ) && ! is_wp_error( $post_terms ) ) {
		 $term_ids = implode( ',' , $post_terms );
		 $terms = wp_list_categories( array(
			'title_li' => '',
			'style'    => 'none',
			'show_option_none'    => '',		
			'child_of' => $topchildof,
			'echo'     => false,
			'taxonomy' => $taxonomy,
			'include'  => $term_ids
		) );
		$terms = rtrim( trim( str_replace( '<br />',  $separator, $terms ) ), $separator );
		// Display post categories.
		echo  wp_kses_post($terms);
	}
}

/* ----------------------------------------------------------------------------------- */
/* Suggested Plugin Jetpack
/*----------------------------------------------------------------------------------- */
require_once get_template_directory() . '/inc/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'medical_portfolio_register_required_plugins' );
function medical_portfolio_register_required_plugins() {
	$plugins = array(
	array(
			'name'      => __('Jetpack by WordPress.com','medical-portfolio'),
			'slug'      => 'jetpack',
			'required'  => false,
		),
		);
		$config = array(
		'id'           => 'medical-portfolio',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
);

	tgmpa( $plugins, $config );
}	
/* ----------------------------------------------------------------------------------- */
/* Customize Comment Form
/*----------------------------------------------------------------------------------- */
add_filter( 'comment_form_default_fields', 'medical_portfolio_comment_form_fields' );
function medical_portfolio_comment_form_fields( $fields ) {
    $commenter = wp_get_current_commenter();
    
    $req      = get_option( 'require_name_email' );
    $aria_req = ( $req ? " aria-required='true'" : '' );
    $html5    = current_theme_supports( 'html5', 'comment-form' ) ? 1 : 0;
    
    $fields   =  array(
        'author' => '<div class="large-6 columns"><div class="row collapse prefix-radius"><div class="small-2 columns"><label for="middle-label" class="text-right middle">' . '<span class="prefix"><i class="fa fa-user"></i>'. ( $req ? ' <span class="required">* </span>' : '' ) . '</span></label></div>' .
                    '<div class="small-10 columns"><input class="form-control" placeholder="'. esc_attr__( 'Name','medical-portfolio' ) .'" id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="20"' . $aria_req . ' /></div></div></div>',
        'email'  => '<div class="large-6 columns"><div class="row collapse prefix-radius"><div class="small-2 columns">' . ' <label for="middle-label" class="text-right middle"><span class="prefix"><i class="fa fa-envelope-o"></i>' . ( $req ? ' <span class="required">* </span>' : '' ) . '</span></label></div> ' .
                    '<div class="small-10 columns"><input class="form-control" placeholder="'. esc_attr__( 'Email','medical-portfolio' ) .'" id="email" name="email" ' . ( $html5 ? 'type="email"' : 'type="text"' ) . ' value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="20"' . $aria_req . ' /></div></div></div>',
        'url'    => '<div class="large-6 columns"><div class="row collapse prefix-radius"><div class="small-2 columns">' . ' <label for="middle-label" class="text-right middle"><span class="prefix"><i class="fa fa-external-link"></i>'  . '</span></label></div>' .
                    '<div class="small-10 columns"><input class="form-control" placeholder="'. esc_attr__( 'Website','medical-portfolio' ) .'" id="url" name="url" ' . ( $html5 ? 'type="url"' : 'type="text"' ) . ' value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></div></div></div>'        
    );
    
    return $fields;
    
    
}

add_filter( 'comment_form_defaults', 'medical_portfolio_comment_form' );
function medical_portfolio_comment_form( $argsbutton ) {
        $argsbutton['class_submit'] = 'float-center button'; 
    
    return $argsbutton;
}



/* ----------------------------------------------------------------------------------- */
/* Custom CSS Output
/*----------------------------------------------------------------------------------- */

function medical_portfolio_custom_css_output(){
    
    echo '<style type="text/css">';	
    //echo esc_html(get_theme_mod('custom_css'));    

    echo '.floatingmenu #primary-menu > li.menu-item > ul{background: '.esc_html(get_theme_mod('topnavbgcolorsub','#20598a')).' !important;}';
    echo '.floatingmenu,.floatingmenu div.large-8.columns{background-color: '.esc_html(get_theme_mod('topnavbgcolor','#40ACEC')).' !important;}';
    echo '.floatingmenu li.page_item a, .floatingmenu li.menu-item a{color: '.esc_html(get_theme_mod('topnavbgcolorfont','#ffffff')).' !important;}';
    echo '.floatingmenu{position: '.esc_attr(get_theme_mod('radio_menu','fixed')).' !important;}';
 echo '.hero-full-screen{background: url("'.esc_url(get_theme_mod('slideimg')).'") center center no-repeat;}';
	if ( get_theme_mod('medical_portfolio_body_font') ) :
		echo "body { font-family: ".esc_attr(get_theme_mod('medical_portfolio_body_font'))."; }";
	endif;
	if ( get_theme_mod('medical_portfolio_title_font') ) :
		echo "h1.site-title, h1.entry-title, h2.entry-title { font-family: ".esc_attr(get_theme_mod('medical_portfolio_title_font'))."; }";
	endif;
    echo '</style>';
    
}
add_action('wp_head','medical_portfolio_custom_css_output');

if ( function_exists('yoast_breadcrumb') ) { 
function medical_portfolio_breadcrumb_support(){		
		yoast_breadcrumb('<p id="breadcrumbs">','</p>');		
}
add_action('medical_portfolio_before_single_post_title','medical_portfolio_breadcrumb_support');
}

// Install notice
if ( ! defined( 'WPINC' ) ) {
	die;
}

function medical_portfolio_notice() {
	if ( isset( $_GET['activated'] ) ) {
		$return = '<div class="notice updated activation is-dismissible"><p>';
		$my_theme = wp_get_theme();	
		$return .= ' <a class="button button-primary theme-options" href="' . esc_url(admin_url( 'customize.php' )) . '">' . __( 'Theme Options', 'medical-portfolio' ) . '</a>';
		$return .= ' <a class="button button-primary help" href="https://www.insertcart.com/medical-portfolio-theme-setup-guide/">' . __( 'Need Help?', 'medical-portfolio' ) . '</a>';
		$return .= '</p></div>';
		echo wp_kses_post($return);
	}
}
add_action( 'admin_notices', 'medical_portfolio_notice' );


/* ------------------------------------------------------------------------------ */
/* Woocommerce account infobar
/*------------------------------------------------------------------------------- */
function medical_portfolio_woocommerce_header_add_to_cart_fragment( $fragments ) {
	ob_start(); global $woocommerce;
	?>
	<a class="cart-contents" href="<?php echo esc_url($woocommerce->cart->get_cart_url()); ?>" title="<?php _e( 'View your shopping cart' ,'medical-portfolio'); ?>"><?php echo sprintf (_n( '%d item', '%d items','medical-portfolio'), WC()->cart->cart_contents_count, WC()->cart->cart_contents_count );?> <?php _e('-','medical-portfolio');?> <?php echo wp_kses_post(WC()->cart->get_cart_total()); ?></a> 
	<?php
	
	$fragments['a.cart-contents'] = ob_get_clean();
	
	return $fragments;
}
add_filter( 'woocommerce_add_to_cart_fragments', 'medical_portfolio_woocommerce_header_add_to_cart_fragment' );


/* ------------------------------------------------------------------------------ */
/* My Account/ Login
/*------------------------------------------------------------------------------- */

 function medical_portfolio_search_form_header( $forms ) {
	$forms = '<div class="input-group headsr"><form role="search" method="get" id="searchform" class="searchform" action="' .esc_url(home_url( '/' )). '" >
	<div><label class="screen-reader-text" for="s">' . _x( 'Search for:','Label','medical-portfolio' ) . '</label>
	<input type="text" class="input-group-field" placeholder="'. esc_attr_x( 'Search..','Placeholder','medical-portfolio' ) .'" value="' . get_search_query() . '" name="s" id="s" />
	<button type="submit" id="searchsubmit" class="input-group-button button"><i class="fa fa-search"></i></button>	
	</div>
	</form>
	</div>';

	echo $forms;

}
add_action('medical_portfolio_after_logo','medical_portfolio_search_form_header');
/* ------------------------------------------------------------------------------ */
/* WooCommerce Featured Products
/*------------------------------------------------------------------------------- */
if(get_theme_mod('medical_portfolio_frontwoo')=='enable'){
function medical_portfolio_woo_featured() {
	echo '<h2 class="type-sidelines double"><span>'.esc_attr(get_theme_mod('medical_portfolio_woo_sec_text','Featured Products')).'</span></h2>'; 
	echo '<div class="woocommerce"><ul class="products">';
	
	$wooproductcount = esc_attr(get_theme_mod('medical_portfolio_woo_pronum','8'));
		$args = array(
			'post_type' => 'product',
			'posts_per_page' => $wooproductcount,
			'tax_query' => array(
                    array(
                        'taxonomy' => 'product_visibility',
                        'field'    => 'name',
                        'terms'    => 'featured',
                    ),),			 
			);
		$loop = new WP_Query( $args );
		if ( $loop->have_posts() ) {
			while ( $loop->have_posts() ) : $loop->the_post();
				wc_get_template_part( 'content', 'product' );
			endwhile;
		}
		wp_reset_postdata();
	echo '</ul></div>';
}
add_action('medical_portfolio_front_page_column','medical_portfolio_woo_featured' , 1);
}

/* ------------------------------------------------------------------------------ */
/* WooCommerce Meta Category and Tags
/*------------------------------------------------------------------------------- */
if(get_theme_mod('medical_portfolio_woo_removemeta')=='enable'){
	remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 40 );
}

/* ------------------------------------------------------------------------------ */
/* My Account/ Login
/* ------------------------------------------------------------------------------ */
if(get_theme_mod('medical_portfolio_woo_myaccount')!=='disable'){
	if (class_exists('woocommerce')) {
		function medical_portfolio_myaccount(){
			if ( is_user_logged_in() ) {
			echo '<a class="myacc" href="';
			echo esc_url(get_permalink( get_option('woocommerce_myaccount_page_id') ));
			echo '" title="'.__('My Account','medical-portfolio').'">'.__('My Account','medical-portfolio').'</a>';
			}
		else {

			echo '<a class="myacc" href="';
			echo esc_url(get_permalink( get_option('woocommerce_myaccount_page_id')) ); 
			echo '" title="'.__('Login / Register','medical-portfolio').'">'.__('Login / Register','medical-portfolio').'</a>';
			}
		}
		add_action('medical_portfolio_after_logo','medical_portfolio_myaccount');
	}
}
if(get_theme_mod('medical_portfolio_woo_cart')!=='disable'){
	if (class_exists('woocommerce')) {
		function medical_portfolio_woocart(){
			global $woocommerce;
			$carturl = WC() ->cart->get_cart_url();
			echo '<a class="cart-contents" href="' . esc_url($carturl) . '" title="'.__('View your shopping cart','medical-portfolio').'">';
			echo esc_html(sizeof( WC()->cart->get_cart()));
			echo _e(' items - ','medical-portfolio');
			$wcsubcart = WC()->cart->get_cart_subtotal();
			$wcsubcart = preg_replace('/<(span).*?class="\s*(?:.*\s)?target(?:\s[^"]+)?\s*"[^\>]*>(.*)<\/\1>/i', '\2', $wcsubcart);
			echo $wcsubcart;
			echo '</a>';
		}
	add_action('medical_portfolio_after_logo','medical_portfolio_woocart');
	}
}