<?php
/**
 * Template part for displaying results in search pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package medical_portfolio
 */

?>
<div class="columns postbox">
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php if(get_theme_mod('topcateid_hide')!=='hide'){ medical_portfolio_featuredtopcate();} ?> 

<?php if ( has_post_thumbnail() ) : ?>
<div class="mylabels">
<?php 
if(get_theme_mod('leftcateid_hide')!=='hide'){	echo '<div class="leftyear"> '; medical_portfolio_featuredleft(); echo '</div>';}
	if(get_theme_mod('rightcateid_hide')!=='hide'){ echo '<div class="rightrip"> '; medical_portfolio_featuredright(); echo '</div>';} ?> 
</div>
	<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
	<?php the_post_thumbnail('medical_portfolio-featured-image'); ?>
	</a>
<?php else : ?>

<div class="mylabels">
	<?php 
	echo '<div class="leftyear-thumb"> '; medical_portfolio_featuredleft(); echo '</div>';
echo '<div class="rightrip-thumb"> ';	medical_portfolio_featuredright(); echo '</div>'; ?> 
</div>
<?php endif; ?>
<footer class="entry-footer">
		<?php 
		/* translators: used between list items, there is a space after the comma */
	$separate_meta = __( ', ', 'medical-portfolio' );

	// Get Categories for posts.
	$categories_list = get_the_category_list( $separate_meta );
		
		if ( 'post' === get_post_type() ) {			
			
				if ( $categories_list && medical_portfolio_categorized_blog() ) {
							echo '<span class="cat-links">' . wp_kses_post($categories_list) . '</span>';
						}
				
		} 
		?>
	</footer><!-- .entry-footer -->
	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

		<?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->
</article><!-- #post-## -->
</div>